org.gradle.tooling.model.build

## Interface JavaEnvironment

-     public interface JavaEnvironment

  Informs about the Java environment, for example the Java home or the JVM args used. See example in `BuildEnvironment`.
  Since:
    1.0-milestone-8

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getJavaHome()` The Java home used for Gradle operations (for example running tasks or acquiring model information).
    `List<String>` | `getJvmArguments()` The JVM arguments used to start the Java process that handles Gradle operations (for example running tasks or acquiring model information).

- - ### Method Detail

    - #### getJavaHome

          File getJavaHome()

      The Java home used for Gradle operations (for example running tasks or acquiring model information).
      Since:
        1.0-milestone-8

    - #### getJvmArguments

          List<String> getJvmArguments()

      The JVM arguments used to start the Java process that handles Gradle operations (for example running tasks or acquiring model information). The returned arguments do not include system properties passed as -Dfoo=bar. They may include implicitly immutable system properties like "file.encoding".
      Since:
        1.0-milestone-8